Cancel a pending scheduled Sarj.ai call
curl --request POST \
--url https://platform-api.sarj.ai/api/v1/calls/{call_id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform-api.sarj.ai/api/v1/calls/{call_id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform-api.sarj.ai/api/v1/calls/{call_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"phone_number": "<string>",
"scenario_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"scheduled_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"message": "<string>",
"field_violations": [
{
"field": "<string>",
"message": "<string>"
}
],
"type": "validation_error"
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"message": "<string>",
"field_violations": [
{
"field": "<string>",
"message": "<string>"
}
],
"type": "validation_error"
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"message": "<string>",
"field_violations": [
{
"field": "<string>",
"message": "<string>"
}
],
"type": "validation_error"
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"message": "<string>",
"field_violations": [
{
"field": "<string>",
"message": "<string>"
}
],
"type": "validation_error"
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Calls
Cancel a pending scheduled Sarj.ai call
Cancel a call that is still pending in status ‘scheduled’ — a booked future call or a platform-booked retry attempt. This is also the per-person stop-calling lever: cancelling a pending retry ends its retry chain. Once a call has been released for dialing it can no longer be cancelled and this returns 409.
POST
/
calls
/
{call_id}
/
cancel
Cancel a pending scheduled Sarj.ai call
Authorizations
API key from your Sarj.ai dashboard. Pass as: Authorization: Bearer
Path Parameters
Prefixed call id, e.g. call_.
Last modified on August 19, 2026
⌘I

